Subject: [rddp] RDDP Verbs Draft

From: [email-masked]
Date: Wed, 9 Jul 2003 19:50:11 -0400

FYI,

Since this draft (draft-hilland-rddp-verbs-00.txt) has
come up on the list, I want to explain a few things about
the draft's status and appropriate role/usage in this
WG.  I don't think anything that has been posted to
the list is significantly at odds with what I have to
say, but I thought some guidance from the WG chair
might be appreciated.

(1) The verbs draft is not an official RDDP WG draft, and
	is not likely to become one soon.  The reasons for
	this include some of the rest of this message and the
	facts that both the ADs and WG chair expect the RDDP
	WG to finish much of the work currently on its plate
	before undertaking significant new work.  The verbs
	draft will take some effort to deal with, as it's not
	only enormous (200+ pages), but also breaks some
	new ground for the IETF in specifying what's
	essentially an API template.
(2) It's reasonable for RDDP WG members to look at the
	verbs draft to understand how one group of implementers
	intends to implement RDDP.  It is unreasonable
	to assume that the verbs in the draft will be the
	only way to implement RDDP or the only acceptable/
	allowed local interface to RDDP functionality.
(3) As a consequence, the verbs draft cannot be the
	repository of any required functional behavior
	for RDDP (e.g., that is essential to the security
	properties of RDDP protocols or ensuring that RDDP
	ULPs have adequate security means available to protect
	themselves).  The RDDP protocol drafts and the RDDP
	security draft MUST stand on their own, and will not
	be permitted to make normative references to the
	verbs draft.
(4) It is reasonable to specify local functionality
	that is required for correct usage, integrity,
	security, etc. of the RDDP protocols.  In addition
	to the "TCP delivers to the ULP in order" requirement
	that we're very familiar with, RFC 2401 contains
	some significant functional requirements on local
	IPsec implementations that are necessary to ensure
	the security properties of the IPsec protocols
	(see the material on the Security Policy Database
	and Security Association Database in Sections 4
	and 5).  To the extent that this is necessary for
	RDDP, I would encourage brevity of specification
	(i.e., length should be much closer to the 20+
	pages devoted to this in RFC 2401 rather than
	the 200+ pages in the verbs draft).

Comments and questions on this can be sent to the list
or to me directly - I'll do my best to respond to all of
them.

Thanks,
--David (RDDP WG Chair)

----------------------------------------------------
David L. Black, Senior Technologist
EMC Corporation, 176 South St., Hopkinton, MA  01748
+1 (508) 293-7953             FAX: +1 (508) 293-7786
[email-masked]        Mobile: +1 (978) 394-7754
----------------------------------------------------

_______________________________________________
rddp mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rddp